model = """# Generated by PySCeS 0.8.0 (2012-03-08 12:14)
 
# Keywords
Description: Birth-death model (001), variant 01
Modelname: BirthDeath01
Output_In_Conc: True
Species_In_Conc: False
 
# GlobalUnitDefinitions
UnitVolume: litre, 1.0, 0, 1
UnitLength: metre, 1.0, 0, 1
UnitSubstance: item, 1.0, 0, 1
UnitArea: metre, 1.0, 0, 2
UnitTime: second, 1.0, 0, 1
 
# Compartments
Compartment: Cell, 1.0, 3 
 
# Reactions
Death@Cell:
    X > $pool
    Mu*X

Birth@Cell:
    $pool > X
    Lambda*X
 
# Assignment rules
!F y = 2.0*X
 
# Fixed species
 
# Variable species
y@Cell = 0.0
X@Cell = 100.0
 
# Parameters
Mu = 0.11
Lambda = 0.1
"""

xml_model="""<?xml version="1.0" encoding="UTF-8"?>
<sbml xmlns="http://www.sbml.org/sbml/level2/version4" level="2" version="4">
  <model id="BirthDeath01" name="Birth-death model (001), variant 01">
    <listOfUnitDefinitions>
      <unitDefinition id="substance">
        <listOfUnits>
          <unit kind="item"/>
        </listOfUnits>
      </unitDefinition>
    </listOfUnitDefinitions>
    <listOfCompartments>
      <compartment id="Cell"/>
    </listOfCompartments>
    <listOfSpecies>
      <species id="X" compartment="Cell" initialAmount="100" hasOnlySubstanceUnits="true"/>
      <species id="y" compartment="Cell" initialAmount="0" hasOnlySubstanceUnits="true"/>
    </listOfSpecies>
    <listOfParameters>
      <parameter id="Lambda" value="0.1"/>
      <parameter id="Mu" value="0.11"/>
    </listOfParameters>
    <listOfRules>
      <assignmentRule variable="y">
        <math xmlns="http://www.w3.org/1998/Math/MathML">
          <apply>
            <times/>
            <cn type="integer"> 2 </cn>
            <ci> X </ci>
          </apply>
        </math>
      </assignmentRule>
    </listOfRules>
    <listOfReactions>
      <reaction id="Birth" reversible="false">
        <listOfReactants>
          <speciesReference species="X"/>
        </listOfReactants>
        <listOfProducts>
          <speciesReference species="X" stoichiometry="2"/>
        </listOfProducts>
        <kineticLaw>
          <math xmlns="http://www.w3.org/1998/Math/MathML">
            <apply>
              <times/>
              <ci> Lambda </ci>
              <ci> X </ci>
            </apply>
          </math>
        </kineticLaw>
      </reaction>
      <reaction id="Death" reversible="false">
        <listOfReactants>
          <speciesReference species="X"/>
        </listOfReactants>
        <kineticLaw>
          <math xmlns="http://www.w3.org/1998/Math/MathML">
            <apply>
              <times/>
              <ci> Mu </ci>
              <ci> X </ci>
            </apply>
          </math>
        </kineticLaw>
      </reaction>
    </listOfReactions>
  </model>
</sbml>
"""

